package entity

// MessageStruct describes outgoing messages from the query service
type MessageStruct struct {
	QueryID string      `json:"queryID"`
	Type    string      `json:"type"`
	Value   interface{} `json:"value"`
}

// StatusMessageStruct describes a status message
type StatusMessageStruct struct {
	Type  string `json:"type"`
	Value Status `json:"value"`
}

// Status describes the query status
type Status struct {
	Status  string `json:"status"`
	QueryID string `json:"queryID"`
}

/*
ErrorMessage describes an error message which is sent to the frontend
*/
type ErrorMessage struct {
	Type    string `json:"type"`
	QueryID string `json:"queryID"`
	Code    int    `json:"errorCode"`
	Value   string `json:"value"`
}
