package consume

import "query-service/internal/entity"

// getHeaders retrieves the headers from the message
func getHeaders(headers *map[string]interface{}) (*string, *string, *string, error) {
	sessionID, ok := (*headers)["sessionID"].(string)
	if !ok {
		return nil, nil, nil, entity.NewError("missing sessionID in header", entity.MessageHeaderError)
	}

	clientID, ok := (*headers)["clientID"].(string)
	if !ok {
		return nil, nil, nil, entity.NewError("missing clientID in header", entity.MessageHeaderError)
	}

	var queryID string
	queryID, ok = (*headers)["queryID"].(string)
	if !ok {
		return nil, nil, nil, entity.NewError("missing queryID in header", entity.MessageHeaderError)
	}

	return &sessionID, &clientID, &queryID, nil
}
