package consume

import (
	"encoding/json"
	"query-service/internal/entity"
)

func (s *Service) publishError(sessionID *string, queryID *string, errorCode entity.ErrorCode, reason string) {
	errorMsg := entity.ErrorMessage{
		Type:    "query_error",
		QueryID: *queryID,
		Code:    int(errorCode),
		Value:   reason,
	}
	errorMsgBytes, _ := json.Marshal(errorMsg)
	s.producer.PublishMessage(&errorMsgBytes, sessionID)
	return
}
