package consume

import (
	"encoding/json"
	"query-service/internal/entity"
	"query-service/pkg/errorhandler"
)

func (s *Service) publishStatus(status string, sessionID *string, queryID *string) {
	msg := entity.StatusMessageStruct{
		Type: "query_status_update",
		Value: entity.Status{
			Status:  status,
			QueryID: *queryID,
		},
	}

	msgBytes, err := json.Marshal(msg)
	if err != nil {
		errorhandler.FailWithError(err, "Marshalling status update message went wrong")
		return
	}

	s.producer.PublishMessage(&msgBytes, sessionID)
}
